org.bouncycastle.tsp

## Interface TSPAlgorithms

    public interface TSPAlgorithms

Recognised hash algorithms for the time stamp protocol.

### Field Summary

Fields
`static java.util.Set` `ALLOWED`
`static java.lang.String` `GOST3411`
`static java.lang.String` `MD5`
`static java.lang.String` `RIPEMD128`
`static java.lang.String` `RIPEMD160`
`static java.lang.String` `RIPEMD256`
`static java.lang.String` `SHA1`
`static java.lang.String` `SHA224`
`static java.lang.String` `SHA256`
`static java.lang.String` `SHA384`
`static java.lang.String` `SHA512`

### Field Detail

#### MD5

    static final java.lang.String MD5

#### SHA1

    static final java.lang.String SHA1

#### SHA224

    static final java.lang.String SHA224

#### SHA256

    static final java.lang.String SHA256

#### SHA384

    static final java.lang.String SHA384

#### SHA512

    static final java.lang.String SHA512

#### RIPEMD128

    static final java.lang.String RIPEMD128

#### RIPEMD160

    static final java.lang.String RIPEMD160

#### RIPEMD256

    static final java.lang.String RIPEMD256

#### GOST3411

    static final java.lang.String GOST3411

#### ALLOWED

    static final java.util.Set ALLOWED